package com.mortals.xhx.common.pdu.site;
import java.util.Date;
import java.util.List;
import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;
/**
* 站点大厅信息Pdu对象
*
* @author zxfei
* @date 2023-04-26
*/
@Data
public class SiteHallPdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 大厅名称
    */
    private String hallName;
    /**
    * 地址
    */
    private String address;
    /**
    * 楼层
    */
    private Integer floor;
    /**
    * 楼栋
    */
    private Integer build;
    /**
    * 备注
    */
    private String remark;

public void initAttrValue(){

            this.siteId = null;

            this.siteName = "";

            this.hallName = "";

            this.address = "";

            this.floor = 1;

            this.build = 1;

            this.remark = "";
    }
}