package com.mortals.xhx.busiz.rsp;

import lombok.Data;

import java.io.Serializable;

/**
 * 产品版本信息
 */
@Data
public class ProductVersionInfo implements Serializable {


    private Integer productId;

    /**
     * 产品编号
     */
    private String productCode;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 版本号
     */
    private Integer version;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 版本下载地址
     */
    private String downloadUrl;



}
