package com.mortals.xhx.common.key;

public final class Constant {

    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * GBK 字符集
     */
    public static final String GBK = "GBK";

    /**
     * http请求
     */
    public static final String HTTP = "http://";

    /**
     * 上行消息topic
     */
    public static final String UPLOAD_TOPIC = "/upload/";

    /**
     * 下行消息topic
     */
    public static final String DOWN_TOPIC = "/down/";

    /**
     * 验证码有效期（分钟）
     */
    public static final Integer CAPTCHA_EXPIRATION = 2;

    /**
     * 登录设备 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 令牌
     */
    public static final String TOKEN = "token";
    public static final String ENCRYPT_STR = "w4*KbUamPdZDnDpG";
    public static final String DES_STR = "FZV1D&tr";

    public static final Integer SERVER_PORT = 28074;
    public static final Integer CLIENT_PORT = 28073;
    /**
     * 设备心跳检查时间（秒）
     */
    public static final String HEARTBEAT_TIMEOUT = "heartbeat_timeout";


    /**
     * 设备首页基础path
     */
    public static final String DEVICE_BASEHOME_PATH = "/homeDeviceUrl";


    /**
     * 基础服务平台鉴权token
     */
    public static final String BASEPLATFORM_AUTHTOKEN = "baseplatform_authtoken";

    /**
     * 令牌前缀
     */
    public static final String TOKEN_PREFIX = "";

    /**
     * 令牌前缀
     */
    public static final String LOGIN_DEVICE_KEY = "login_device_key";

    /**
     * 基础代码版本 Z-BASE.MANAGER-S1.0.0
     */
    public final static String BASEMANAGER_VERSION = "Z-BASE.MANAGER-S1.0.0";

    /**
     * 服务器http 映射外网可访问地址
     */
    public final static String PARAM_SERVER_HTTP_URL = "server_http_url";

    /**
     * 服务器http 映射外网可访问地址 php
     */
    public final static String PARAM_SERVER_PHP_HTTP_URL = "server_php_http_url";

    public final static String PARAM_SERVER_PHP_IN_HTTP_URL = "server_php_in_http_url";

    /**
     * 短信平台url
     */
    public final static String PARAM_SMS_HTTP_URL = "sms_http_url";

    /**
     * 产品重启列表
     */
    public final static String PARAM_RESTART_PRODUCT_LIST = "restart_product_list";

    /**
     * rabbmit exchange分隔符
     */
    public static final String EXCHANGE_SPLIT = ".";

    /**
     * 消息类型(激活)
     */
    public static final String MESSAGETYPE_ACTIVE = "ACTIVE";

    /**
     * 消息类型(心跳)
     */
    public static final String MESSAGETYPE_HEARTBEAT = "HEART_BEAT";

    /**
     * 消息类型(通知更新)
     */
    public static final String MESSAGETYPE_NOTIFY_REFRESH = "sitechange";

    /**
     * 消息类型(重启应用)
     */
    public static final String MESSAGETYPE_NOTIFY_RESTART_APP = "restartapp";

    public static final String MESSAGETYPE_WAIT = "wait";

    public static final String MESSAGETYPE_WAITQUEUE = "waitqueue";

    /**
     * 消息类型(upgread)
     */
    public static final String MESSAGETYPE_UPGREAD = "UPGREAD";


    /**
     * 登录path
     */
    public static final String PATH_LOGIN = "login/login";

    /**
     * 树path
     */
    public static final String PATH_SITETREE = "site/siteTree";

    /**
     * 应用部署目录
     */
    public static final String DISTRIBUTE_PATH = "distribute_path";

    /**
     * 站点编号分隔符
     */
    public static final String SITE_SPLIT_MARK = "-";

    /**
     * 站点编号补零位数
     */
    public static final Integer SITE_CODE_NUM = 4;


    public static final String MASTERHOST = "masterHost";

}
